=== modified file 'bzrlib/patches.py'
--- bzrlib/patches.py	2008-10-16 19:04:48 +0000
+++ bzrlib/patches.py	2008-11-30 00:28:29 +0000
@@ -164,8 +164,6 @@
         return InsertLine(line[1:])
     elif line.startswith("-"):
         return RemoveLine(line[1:])
-    elif line == NO_NL:
-        return NO_NL
     else:
         raise MalformedLine("Unknown line type", line)
 __pychecker__=""
@@ -240,6 +238,9 @@
 def iter_hunks(iter_lines):
     hunk = None
     for line in iter_lines:
+        if line == NO_NL and hunk is not None:
+            hunk.lines.append(NO_NL)
+            continue
         if line == "\n":
             if hunk is not None:
                 yield hunk

